%define archivename   ttf-bitstream-vera
%define x11bindir     %{_prefix}/X11R6/bin
%define x11encdir     %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir %{_sysconfdir}/fonts
%define fontdir       %{_datadir}/fonts/bitstream-vera
%define xsldir        %{_datadir}/sgml/%{name}-%{version}

Name:      bitstream-vera-fonts
Version:   1.10
Release:   0.fdr.15.rh90
Summary:   Bitstream Vera Fonts
Group:     User Interface/X
License:   Redistributable, with restrictions
URL:       http://www.gnome.org/fonts/
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/%{archivename}/%{version}/%{archivename}-%{version}.tar.bz2
Source1:   register-vera.xsl
Source2:   unregister-vera.xsl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

PreReq:    %{_sbindir}/chkfontpath, %{x11bindir}/mkfontdir, %{_bindir}/ttmkfdir
Requires:  %{_bindir}/xsltproc, mktemp


%description
The Vera fonts are high-quality latin fonts donated by Bitstream.  These fonts
have been released under a liberal license, see the licensing FAQ in
%{_docdir}/%{name}-%{version}/COPYRIGHT.TXT or the online up-to-date
version at %{url} for details.


%prep
%setup -q -n %{archivename}-%{version}


%build
# Nothing to be done here


%install
/bin/rm -rf $RPM_BUILD_ROOT

#fonts
install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -p -m 0644 *.ttf  $RPM_BUILD_ROOT%{fontdir}

# registration/unregistration
install -d -m 0755 $RPM_BUILD_ROOT%{xsldir}
install -m 0644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{xsldir}

# "touch" all fonts.dir, fonts.alias, etc files we've got flagged as %ghost
# but which are not present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/{fonts.{alias,dir,scale,cache-1},XftCache,encodings.dir}


%clean
/bin/rm -rf $RPM_BUILD_ROOT


# We do not care if all/any of this actually succeeds
# Therefore errors are catched but messages allowed
%post
{
    # Legacy font handling

    %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale

    %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}

    %{_sbindir}/chkfontpath -q -a %{fontdir}

    # The following commands will be executed on upgrade by their respective
    # packages

    # Late legacy font handling
    if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
    fi

    if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
    fi

    # Modern font handling
    if [ -x %{_bindir}/fc-cache ] ; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts
    fi
} || :


%preun
[ "$1" = "0" ] || exit 0

 # Unregister self in fontconfig aliases
if [ -w %{fontconfigdir}/fonts.conf ] ; then
   TMPFILE=$(/bin/mktemp -q /tmp/fonts.conf.XXXXXX) && \
   %{_bindir}/xsltproc --novalid %{xsldir}/unregister-vera.xsl \
        %{fontconfigdir}/fonts.conf > $TMPFILE && \
   /bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE
fi


# We do not care if all/any of this actually succeeds
# Therefore errors are catched but messages allowed
%postun
{
   # Rehash the font dir to keep only stuff manually installed
   [ "$1" = "0" ] || exit 0

   if [ -d %{fontdir} ] && [ $(%{_bindir}/find %{fontdir} \
        -follow -type f -iname "*.ttf" -printf "\b\b\b\btrue") ] ; then

        %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
        %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}

   else
        %{_sbindir}/chkfontpath -q -r %{fontdir}
   fi

   if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
   fi

   if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
   fi

   if [ -x %{_bindir}/fc-cache ] ; then
        %{_bindir}/fc-cache -f %{_datadir}/fonts
   fi

} || :


%triggerin -- fontconfig, %{fontconfigdir}/fonts.conf

TMPFILE=$(/bin/mktemp -q /tmp/fonts.conf.XXXXXX) && \
%{_bindir}/xsltproc --novalid %{xsldir}/register-vera.xsl \
   %{fontconfigdir}/fonts.conf > $TMPFILE && \
/bin/cat $TMPFILE > %{fontconfigdir}/fonts.conf && /bin/rm $TMPFILE


%files
%defattr(0644,root,root,0755)
%doc *.TXT
%dir %{fontdir}
%dir %{xsldir}
%{fontdir}/*.ttf
%{xsldir}/*.xsl
%config(noreplace) %{fontdir}/fonts.alias
%ghost %{fontdir}/fonts.dir
%ghost %{fontdir}/fonts.scale
%ghost %{fontdir}/fonts.cache-1
%ghost %{fontdir}/XftCache
%ghost %{fontdir}/encodings.dir


%changelog
* Sun Oct 5 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.10-0.fdr.15
- Do not use _tmppath in scriplets as people seem fond of redefining it somehow

* Fri Jun 13 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.10-0.fdr.14
- Do not find on removed fontdir

* Fri Jun 13 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.10-0.fdr.13
- Fix a spec typo

* Fri Jun 13 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.10-0.fdr.12
- Put some stuff Owen Taylor removed back in the spec

* Thu Jun 12 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.10-0.fdr.11
- allow scripts to fail to account for ro /usr/share/setups
  (we do not care for them to succeed in this case anyway)

* Tue Jun 10 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.10-0.fdr.10
- yet another round of cleanups

* Tue Jun 10 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 1.10-0.fdr.9
- Merge Owen Taylor's cleanups
- keep legacy font handling for now since it's a bit more important for Fedora
  than for RawHide

* Fri May 30 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0.fdr.8
- Put font relocation back for old time's sake

* Fri May 30 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0.fdr.7
- Still yet more Fedora spec cleanups
  (prefix -> fontdir, declarations order, tab -> spaces)
- be anal about paths
- remove local.conf from %doc since Vera is registered automatically now
  (and if the user chose to override fonts.conf once he can certainly do it again
  by himself now)

* Fri May 30 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0.fdr.6
- Yet more Fedora spec cleanups (defines, obsoletes)

* Fri May 30 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0.fdr.5
- More Fedora spec cleanups

* Fri May 30 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0.fdr.4
- Register/Unregister font aliases in fontconfig

* Fri May 30 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0.fdr.3
- remove vendor tag
- remove BuildRequires
- Requires -> Requires(post,postun)
- preserve font timestamps

* Thu May 29 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0.fdr.2
- try for Fedorize the spec
- add bitstream to the package name name
- obsoletes old package & Debian name
- should work on all RH post 7.x distributions (used at least on 7.3, 8.0 & post 9 RawHide)

* Sat Apr 27 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-1
- apply suggested fixes

* Thu Apr 17 2003 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> 0:1.10-0
- initial packaging
